Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 508 - bug in /etc/rc.d/rc.sysinit
Summary: bug in /etc/rc.d/rc.sysinit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-17 15:02 UTC by Paul Millar
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-22 16:40:03 UTC


Attachments (Terms of Use)

Description Paul Millar 1998-12-17 15:02:47 UTC
The default /etc/rc.d/rc.sysinit file contains a section:

if [ -x /sbin/depmod -a -n "$USEMODULES" ]; then
    # Get ready for kerneld if module support in the kernel
    echo -n "Finding module dependencies... "
    if [ -e /lib/modules/preferred ]; then
        depmod -a preferred
    else
        depmod -a preferred
    fi
    echo "done"
fi


The second "depmod" line should be just:
        depmod -a


Apologies if this has already be spotted.

Cheers,
Paul.

Comment 1 David Lawrence 1998-12-17 20:55:59 UTC
What version of initscripts is installed on your system?

Find out by doing:

rpm -q initscripts

This problem should be fixed in initscripts-3.67-1 and newer.


Note You need to log in before you can comment on or make changes to this bug.